Bug 184639 - [patch] net/mDNSResponder build with yacc (bison not needed)
Summary: [patch] net/mDNSResponder build with yacc (bison not needed)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-09 18:00 UTC by Matthieu Volat
Modified: 2014-01-04 08:30 UTC (History)
0 users

See Also:


Attachments
file.diff (2.41 KB, patch)
2013-12-09 18:00 UTC, Matthieu Volat
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matthieu Volat 2013-12-09 18:00:00 UTC
I have noticed by chance that parser files in net/mDNSResponder are in fact well writen and will work with base yacc implementation, thus do not require devel/bison to build.

I've attached a patch that remove the dependency and change the BISON value.

Fix: See enclosed patch:
1. remove bison in use flags
2. set BISON value to yacc in mDNSPosix/Makefile

Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-12-09 18:00:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sunpoet

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2014-01-04 08:24:43 UTC
Author: sunpoet
Date: Sat Jan  4 08:24:35 2014
New Revision: 338627
URL: http://svnweb.freebsd.org/changeset/ports/338627

Log:
  - Use yacc (in base system) instead of bison (from ports tree)
  
  PR:		ports/184639
  Submitted by:	Matthieu Volat <mazhe@alkumuna.eu>

Modified:
  head/net/mDNSResponder/Makefile
  head/net/mDNSResponder/files/patch-mDNSPosix-Makefile

Modified: head/net/mDNSResponder/Makefile
==============================================================================
--- head/net/mDNSResponder/Makefile	Sat Jan  4 08:21:28 2014	(r338626)
+++ head/net/mDNSResponder/Makefile	Sat Jan  4 08:24:35 2014	(r338627)
@@ -17,7 +17,7 @@ CONFLICTS=	avahi-libdns-[0-9]*
 BUILD_WRKSRC=	${WRKSRC}/mDNSPosix
 INSTALL_WRKSRC=	${WRKSRC}/mDNSPosix
 MAKE_ARGS=	LOCALBASE=${PREFIX} MANPATH=${MANPREFIX}/man os=freebsd
-USES=		bison gmake
+USES=		gmake
 USE_LDCONFIG=	yes
 USE_RC_SUBR=	mdnsd mdnsresponder
 

Modified: head/net/mDNSResponder/files/patch-mDNSPosix-Makefile
==============================================================================
--- head/net/mDNSResponder/files/patch-mDNSPosix-Makefile	Sat Jan  4 08:21:28 2014	(r338626)
+++ head/net/mDNSResponder/files/patch-mDNSPosix-Makefile	Sat Jan  4 08:24:35 2014	(r338627)
@@ -1,14 +1,16 @@
---- mDNSPosix/Makefile.orig	2011-11-03 08:23:39.000000000 +0800
-+++ mDNSPosix/Makefile	2013-10-13 02:29:12.791431406 +0800
-@@ -54,7 +54,7 @@
+--- mDNSPosix/Makefile.orig	2012-10-18 06:11:12.000000000 +0800
++++ mDNSPosix/Makefile	2014-01-04 11:50:07.945929359 +0800
+@@ -54,8 +54,8 @@
  SHAREDDIR ?= ../mDNSShared
  JDK = /usr/jdk
  
 -CC = @cc
+-BISON = @bison
 +CC ?= @cc
- BISON = @bison
++BISON = @yacc
  FLEX = @flex
  LD = ld -shared
+ CP = cp
 @@ -122,7 +122,7 @@
  # If not already defined, set LOCALBASE to /usr/local
  LOCALBASE?=/usr/local
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Po-Chuan Hsieh freebsd_committer 2014-01-04 08:26:26 UTC
State Changed
From-To: open->closed

Committed. Thanks!